Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Mon 22 Dec 2014, 12:30
All times are UTC - 4
 Forum index » House Training » Bugs ( Submit bugs )
Precise Puppy 5.5 Release Candidate
Moderators: Flash, Ian, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 9 of 20 [290 Posts]   Goto page: Previous 1, 2, 3, ..., 7, 8, 9, 10, 11, ..., 18, 19, 20 Next
Author Message
Bruce_n_Duane

Joined: 01 Nov 2005
Posts: 68
Location: Washington State

PostPosted: Tue 19 Feb 2013, 11:28    Post subject: Cups broken in nopae 5.4.91
Subject description: Cups broken in nopae 5.4.91
 

Did frugal install of Precise Puppy 5.4.91 nopae on Toshiba Satellite A205
with 2 GB of ram 2GB pupsave file using Grub4Dos that has started 50+ puppies over the years.

Most everything works with few error messages in the /tmp logs

Cups scheduler does not start: logged error is child exited with error 127

Trying to add a printer from menu==>system==>Cups Manager
browser opens with URL=localhost:631

===============================
Did a frugal install of Precise Puppy Alpha1 5.4.90 with 512MB pupsave
Nothing added. /tmp log files say cups scheduler started
browser opens with URL=localhost:631/admin

Was able to add my HP PhotoSmart 5200 printer

So only Cups broken in nopae version
==================================
both versions report that "logger invalid option --- "i" all 3 /tmp logs

===========================================
nopae Missing dependencies in nopae additional pets

Installed software in this order via PPM
Source:Ubuntu repositorie
mc_4.8.1 + mc_data_4.8.1 no missing dependencies
llk-linux_2.3 no missing dependencies
guvcview-1.5.3 missing libasound21.0.24.1 & libxcursor11.1.2
firefox_18.0.2 missing lsb_release_4.0 & python2.8
gnucash_2.4.10-1 missing guile-1.8 added from Ubuntu via PPM
also missing libmime-base64-perl & libnet-perl
& upstart-job

Via Browser and muga-linux forum for Additional Software
pwidgets-2.4.1
wbar-2.3.0
sys-info-1.5.1 by TaZoc
PupControl & Pupmates (PupApps, PupShutdown, PupClock)
wallpaper-0.6.2 (Nathan's wallpaper)
Via SFS Files
LibraOffice_3.4.4_Lucid

All seem to work great even with missing dependencies

==============================
about missing dependencies What I have found via Google search

libasound21.0.24.1 only mention is Barry's list of dosbox_0.74-2 depends
and now here in this message

libxcursor11.1.2 the highest version I found is libXcursor1.1.13

lsb-release-4.0 does not exist

Python2.8 Firefox says it needs it but seems to work without it.

guile-1.8 I loaded this using PPM from Ubuntu 12.04 repository
Gnucash would not start without it

libmime-base64-perl does not exist
libnet-perl does not exist
upstart-job does exist but I am not loading 60+ megabytes and the
complete gnome environment for this

I do not know where the PPM gets it's list of dependencies.
My guess is the libxcursor is a typo and should be libXcursor1.1.12
==================================
Great Puppy!!! Barry, you and your team have built a great OS hear
when the first Alpha release with minor (itsy bitsy tiny) bugs. Most
Alpha versions are ant's nests of bugs and often the final release is
still an ant's nest of bugs.

I look forward to the next releases of pae and nopae Precise Puppy.

My first puppy was Chubby Puppy 1.06
I switched from Ubuntu Hardy to Puppies as my main OS because
puppy booted in 15 seconds and Ubuntu in 3 minutes.

I marvel at how well all the puppies and derivatives just WORK!!
Download the iso. Open it in ROX and take out 3-4 files.
Point the GRUB menu.lst to start it and it works!!

Thank you all for the great OS.
-Bruce.
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 9375
Location: Stratford, Ontario

PostPosted: Tue 19 Feb 2013, 11:48    Post subject: Re: Cups broken in nopae 5.4.91
Subject description: Cups broken in nopae 5.4.91
 

Bruce_n_Duane wrote:
Did frugal install of Precise Puppy 5.4.91 nopae ...Cups scheduler does not start: logged error is child exited with error 127

I checked this and CUPS started OK for me. Maybe it was a timing issue. Run
Code:
/etc/init.d/cups start
Back to top
View user's profile Send private message 
rodin.s

Joined: 22 Sep 2010
Posts: 338
Location: Ukraine

PostPosted: Tue 19 Feb 2013, 12:20    Post subject: latest report-video  

Latest report-video works good. The second card is detected.
Code:
# ./report-video
VIDEO REPORT: Precise Puppy, version 5.4.2

Chip description:
Host bridge: Intel Corporation 82810 DC-100 (GMCH) Graphics Memory Controller Hub (rev 03)
VGA compatible controller: Intel Corporation 82810 DC-100 (CGC) Chipset Graphics Controller (rev 03)
VGA compatible controller: S3 Inc. Savage 4 (rev 04)

Requested by /etc/X11/xorg.conf:
  Resolution (widthxheight, in pixels): 1024x768
  Depth (bits, or planes):              24
  Modules requested to be loaded:       dbe

Probing Xorg startup log file (/var/log/Xorg.0.log):
  Driver loaded (and currently in use): savage
  Loaded modules: dbe ddc dri dri2 extmod fb glx i2c int10 kbd mouse ramdac record vbe vgahw xaa

Actual rendering on monitor:
  Resolution:  1024x768 pixels (283x212 millimeters)
  Depth:       24 planes

...the above also recorded in /tmp/report-video
Back to top
View user's profile Send private message 
Bruce_n_Duane

Joined: 01 Nov 2005
Posts: 68
Location: Washington State

PostPosted: Tue 19 Feb 2013, 13:19    Post subject: Cups broken in nopae 5.4.91
Subject description: Cups broken in nopae 5.4.91
 

I tried your suggestion

# /etc/init.d/cups start
cupsd: Child exited with status 127!
cups: unable to start scheduler.
#

The checksum on the iso matched the one provided.

I tested cups before loading any additional software.
I got the same results as above.

What would you like me to try next?

-Bruce.

Last edited by Bruce_n_Duane on Tue 19 Feb 2013, 13:50; edited 1 time in total
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 9375
Location: Stratford, Ontario

PostPosted: Tue 19 Feb 2013, 13:32    Post subject: Re: Cups broken in nopae 5.4.91
Subject description: Cups broken in nopae 5.4.91
 

Bruce_n_Duane wrote:
What would you like me to try next?

rm -rf /var/spool/cups /var/run/cups /var/cache/cups
/etc/init.d/cups start
Back to top
View user's profile Send private message 
Bruce_n_Duane

Joined: 01 Nov 2005
Posts: 68
Location: Washington State

PostPosted: Tue 19 Feb 2013, 13:43    Post subject: Cups broken in nopae 5.4.91
Subject description: Cups broken in nopae 5.4.91
 

I did as suggested

# rm -rf /var/spool/cups /var/run/cups /var/cache/cups
# /etc/init.d/cups start
cupsd: Child exited with status 127!
cups: unable to start scheduler.
#

same result

I tried to add the PupSysInfo.txt file to this post but it was not accepted as it was a ".txt" file.

rxrsn51 thanks for your help. what would you like me to do next?

-Bruce.
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 9375
Location: Stratford, Ontario

PostPosted: Tue 19 Feb 2013, 13:59    Post subject: Re: Cups broken in nopae 5.4.91
Subject description: Cups broken in
 

Bruce_n_Duane wrote:
what would you like me to do next?

This is a mystery. I booted 5.4.91 nopae on two different machines and CUPS was running both times.
Back to top
View user's profile Send private message 
gcmartin


Joined: 14 Oct 2005
Posts: 4507
Location: Earth

PostPosted: Tue 19 Feb 2013, 14:01    Post subject:
Subject description: ,.
 

To upload your sys-info, try this
Code:
mv ....txt ...txt.gz
where "..." is the name of your sys-info file. Then your attaching for upload will work.

Here to help

_________________
Get ACTIVE Create Circles; Do those good things which benefit people's needs!
We are all related ... Its time to show that we know this!
3 Different Puppy Search Engine or use DogPile
Back to top
View user's profile Send private message 
Bruce_n_Duane

Joined: 01 Nov 2005
Posts: 68
Location: Washington State

PostPosted: Tue 19 Feb 2013, 14:12    Post subject: Cups broken in nopae 5.4.91
Subject description: Cups broken in nopae 5.4.91
 

rcrsn51 should I remove Cups and reinstall it. if so how should I accomplish that.

Thanks gcmartin and radky
sys-info-130219.gz
Description  compressed PupSysInfo text file
gz

 Download 
Filename  sys-info-130219.gz 
Filesize  14.88 KB 
Downloaded  143 Time(s) 

Last edited by Bruce_n_Duane on Tue 19 Feb 2013, 14:24; edited 1 time in total
Back to top
View user's profile Send private message 
radky

Joined: 02 May 2010
Posts: 469

PostPosted: Tue 19 Feb 2013, 14:15    Post subject: Re: Cups broken in nopae 5.4.91
Subject description: Cups broken in nopae 5.4.91
 

Bruce_n_Duane wrote:
I tried to add the PupSysInfo.txt file to this post but it was not accepted as it was a ".txt" file
-Bruce.

Hi Bruce,

PupSysInfo-2.2 automatically saves Summary and Complete reports in both compressed and uncompressed formats in the /tmp/root/ folder.

The forum should accept a PupSysInfo report in the compressed format (for example, PSI-SYS-SUMMARY-130219.gz).

Thanks
Back to top
View user's profile Send private message 
pemasu


Joined: 08 Jul 2009
Posts: 5465
Location: Finland

PostPosted: Tue 19 Feb 2013, 14:44    Post subject:  

Playing with chrome browser. I tested the root disabling feature.
http://www.chromium.org/getting-involved/dev-channel

/usr/local/petget/hacks-postinstall.sh
I did add this into it:
Code:
google-chrome-*)
if [ -f /usr/bin/bbe ];then #bbe is a sed-like utility for binary files.
if [ -f /opt/google/chrome/chrome  ];then
bbe -e 's/geteuid/getppid/' /opt/google/chrome/chrome > /tmp/chrome-temp1
mv -f /tmp/chrome-temp1 opt/google/chrome/chrome
chmod 755 /opt/google/chrome/chrome
ln -s /opt/google/chrome/chrome /usr/bin/google-chrome
echo '[Desktop Entry]
Encoding=UTF-8
Version=1.0
Name=Google Chrome
GenericName=Web Browser
Comment=Access the Internet
Exec=/opt/google/chrome/google-chrome
Terminal=false
Type=Application
Icon=/opt/google/chrome/product_logo_48.png
Categories=WebBrowser;' > /usr/share/applications/google-chrome.desktop
   fi
  fi
 ;;


And then I downloaded this one:
https://www.google.com/chrome/intl/en/eula_beta.html?dl=beta_i386_deb

Posting from it now. This kind hack might enable the root user restricted .deb browsers. Well...they also might broke Cups, have done that in the past...but this seems to help installing these browsers anyway...
hacks-postinstall.patch.gz
Description 
gz

 Download 
Filename  hacks-postinstall.patch.gz 
Filesize  613 Bytes 
Downloaded  130 Time(s) 
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 9375
Location: Stratford, Ontario

PostPosted: Tue 19 Feb 2013, 15:08    Post subject:  

@Bruce: Run
Code:
cupsd -f


Have you tried running this Precise on more than one machine?
Back to top
View user's profile Send private message 
linuxcbon

Joined: 09 Aug 2007
Posts: 799

PostPosted: Tue 19 Feb 2013, 15:56    Post subject:  

Hi Barry, I report bugs, you chose to solve them or not.
- ghostscript works but /usr/local/lib/ghostscript/ is missing.
- It seems that foomatic doesn't work and perl neither.
- /etc/apm uneeded because acpi replaced apm
Back to top
View user's profile Send private message 
Bruce_n_Duane

Joined: 01 Nov 2005
Posts: 68
Location: Washington State

PostPosted: Tue 19 Feb 2013, 16:28    Post subject: Cups broken in nopae 5.4.91
Subject description: Cups broken in nopae 5.4.91
 

Thanks for the continued help rcrsn51 and gcmartin!!!

Sorry I was gone so long but loading a second computer and many many tests takes time.

Loaded Hannspring Netbook with copy of files from Toshiba.
renamed pupsave so booted with no savefile: Cups works
booted with savefile: Cups broken
booted with new blank savefile: Cups works

Went back to Toshiba
renamed pupsave so booted with no savefile: Cups works
booted with new blank savefile: Cups works

So the problem is not Precise Puppy nopae 5.4.91

it is in one of the software pets or sfs files I added.

Thank you for the help. It is now load a package and check unitl I find out which one breaks Cups. It will take some time but I will report back.

Thanks again.
-Bruce.
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 9375
Location: Stratford, Ontario

PostPosted: Tue 19 Feb 2013, 16:48    Post subject: Re: Cups broken in nopae 5.4.91
Subject description: Cups broken in nopae 5.4.91
 

Bruce_n_Duane wrote:
renamed pupsave so booted with no savefile: Cups works
booted with savefile: Cups broken
booted with new blank savefile: Cups works.

Quote:
I tested cups before loading any additional software.

Which was it? Were you booting with a clean system or not?
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 9 of 20 [290 Posts]   Goto page: Previous 1, 2, 3, ..., 7, 8, 9, 10, 11, ..., 18, 19, 20 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » Bugs ( Submit bugs )
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1040s ][ Queries: 13 (0.0104s) ][ GZIP on ]